<template>
  <div class="main">
    <div class="main_tabs">
      <el-tabs v-model="activeName" @tab-click="handleClick">
            <!-- <el-tab-pane label="预埋件理论耗量" name="first">
                <fitt-consump ref="Fitts"></fitt-consump> 
            </el-tab-pane> -->
            <el-tab-pane label="钢筋笼理论耗量" name="second">
                <rebar-consump ref="Rebars"></rebar-consump>
            </el-tab-pane>
            <el-tab-pane label="混凝土方量及混凝土原材料" name="third">
                <raw-consump ref="Raws"></raw-consump>
            </el-tab-pane>
        </el-tabs>
    </div>
  </div>
</template>
<script>
// import FittConsump from './components/FittConsump.vue'//预埋件理论耗量
import RebarConsump from './components/RebarConsump.vue'//钢筋笼理论耗量
import RawConsump from './components/RawConsump.vue'//混凝土方量及混凝土原材料
export default {
    components:{
        // FittConsump,
        RebarConsump,
        RawConsump
    },
    data(){
        return{
            activeName:'second'
        }
    },
    mounted(){
        this.$refs.Rebars.getAllProjectData(true);
        this.$refs.Rebars.getInits();
    },
    methods:{
        //切换界面
        handleClick(tab){
            switch(tab.name){
                // case 'second':
                //     this.$refs.Rebars.getInits();
                //     this.$refs.Rebars.getAllProjectData();
                //     break;
                case 'third':
                    this.$refs.Raws.getAllProjects();
                    this.$refs.Raws.searchButtonInfo(true);
                    break;
                default:
                    // this.$refs.Fitts.searchButtonInfo(true);
                    this.$refs.Rebars.getInits();
                    this.$refs.Rebars.getAllProjectData();
            }
        },
    }
}
</script>
<style scoped lang="scss">
@import'@/style/layout-main.scss';
/deep/ .el-tabs__content{
    position: static;
}

/deep/.main {
  background: none;
}
</style>